%define upstream_name    ack
%define upstream_version 3.7.0

%{?perl_default_filter}

Name:          %{upstream_name}
Version:       %perl_convert_version %{upstream_version}
Release:       %mkrel 1

Summary:       Grep-like text finder for large trees of text
License:       Artistic 2.0
Group:         Text tools
Url:           https://metacpan.org/release/%{upstream_name}
Source0:       https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{upstream_name}-v%{upstream_version}.tar.gz
BuildArch:     noarch

BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 1.0.150
BuildRequires: perl(File::Next) >= 1.180.0
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Getopt::Long) >= 2.390.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Perldoc) >= 3.200.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Pod::Usage) >= 1.260.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor) >= 1.100.0
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Text::ParseWords) >= 3.100.0
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(version)
BuildRequires: perl

%description
ack is a grep-like program with optimizations for searching through large trees
of source code.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} -ni -e 'print unless /MAN3PODS/' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Tue Mar 07 2023 daviddavid <daviddavid> 3.7.0-1.mga9
+ Revision: 1947948
- new version: 3.7.0

* Sat Aug 27 2022 tv <tv> 3.6.0-1.mga9
+ Revision: 1881131
- update to v3.6.0

* Mon Mar 21 2022 umeabot <umeabot> 3.5.0-2.mga9
+ Revision: 1814208
- Mageia 9 Mass Rebuild

* Sat Mar 13 2021 daviddavid <daviddavid> 3.5.0-1.mga9
+ Revision: 1701986
- new version: 3.5.0

* Tue Jun 30 2020 shlomif <shlomif> 3.4.0-1.mga8
+ Revision: 1600623
- New version 3.4.0

* Wed Feb 19 2020 umeabot <umeabot> 3.3.1-2.mga8
+ Revision: 1543083
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 shlomif <shlomif> 3.3.1-1.mga8
+ Revision: 1477922
- New version 3.3.1

* Sun Dec 29 2019 shlomif <shlomif> 3.3.0-1.mga8
+ Revision: 1474769
- New version 3.3.0

* Tue Nov 05 2019 tv <tv> 3.2.0-1.mga8
+ Revision: 1457749
- update to 3.20

* Fri Oct 25 2019 tv <tv> 3.1.3-1.mga8
+ Revision: 1455688
- update to 3.1.3

* Tue Oct 15 2019 tv <tv> 3.1.2-1.mga8
+ Revision: 1453833
- update to 3.1.2

* Mon Sep 02 2019 tv <tv> 3.1.1-1.mga8
+ Revision: 1436374
- update to v3.1.1

* Wed Aug 28 2019 tv <tv> 3.1.0-1.mga8
+ Revision: 1434751
- update to v3.1.0

* Fri Jul 05 2019 tv <tv> 3.0.2-1.mga8
+ Revision: 1418721
- update to v3.0.2

* Sat Jun 29 2019 shlomif <shlomif> 3.0.1-1.mga8
+ Revision: 1415413
- New version 3.0.1
- New version v3.0.0

* Mon May 13 2019 shlomif <shlomif> 2.999.70-1.mga7
+ Revision: 1397560
- New version 2.999_07

* Mon Oct 22 2018 shlomif <shlomif> 2.999.50-1.mga7
+ Revision: 1323655
- New version 2.999_05

* Sun Sep 23 2018 umeabot <umeabot> 2.999.30-2.mga7
+ Revision: 1297276
- Mageia 7 Mass Rebuild

* Tue Jan 23 2018 shlomif <shlomif> 2.999.30-1.mga7
+ Revision: 1196632
- New version

* Sat Jan 13 2018 shlomif <shlomif> 2.999.20-1.mga7
+ Revision: 1192771
- New version 2.999

* Tue Dec 26 2017 shlomif <shlomif> 2.220.0-1.mga7
+ Revision: 1185250
- New version 2.22

* Sat Mar 25 2017 shlomif <shlomif> 2.180.0-1.mga6
+ Revision: 1094776
- New version 2.18

* Sat Mar 11 2017 shlomif <shlomif> 2.160.0-1.mga6
+ Revision: 1091785
- New upstream version 2.16 + .spec modernisation.

* Sat Jun 18 2016 pterjan <pterjan> 2.140.0-5.mga6
+ Revision: 1022094
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.140.0-4.mga6
+ Revision: 933363
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.140.0-3.mga5
+ Revision: 750333
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.140.0-2.mga5
+ Revision: 677686
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 2.140.0-1.mga5
+ Revision: 671967
- update to 2.14

* Thu Jan 23 2014 guillomovitch <guillomovitch> 2.120.0-1.mga4
+ Revision: 567587
- new version 2.12

* Mon Oct 21 2013 umeabot <umeabot> 2.100.0-2.mga4
+ Revision: 537576
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.100.0-1.mga4
+ Revision: 487295
- update to 2.10

* Fri Aug 23 2013 sander85 <sander85> 2.80.0-1.mga4
+ Revision: 470258
- update to 2.08

* Sun Jun 02 2013 kharec <kharec> 2.40.0-1.mga4
+ Revision: 434928
- new version 2.04

* Fri Jan 11 2013 umeabot <umeabot> 1.960.0-2.mga3
+ Revision: 345242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1.960.0-1.mga2
+ Revision: 148007
- update to 1.96

* Wed Feb 16 2011 jquelin <jquelin> 1.940.0-1.mga1
+ Revision: 52210
- update to 1.94

* Fri Jan 21 2011 jquelin <jquelin> 1.920.0-1.mga1
+ Revision: 29765
- mageia rebuild
- imported package ack

